#! /bin/bash

# Make sure to remove serial port modules for FTDI devices
MODULE_LOADED=`lsmod | grep usbserial | awk '/usbserial/ {print $1}'`
if [[ $MODULE_LOADED == "usbserial" ]]
then
echo "Modules for FTDI devices are laoded"
echo "Removing ftdi_sio module"
sudo rmmod ftdi_sio
echo "Removing usbserial module"
sudo rmmod usbserial
else
echo "Modules for FTDI devices were not loaded so no need to rmmod..."
fi

# Set memory size and splash image
export JVM_PARAMS=-Xms64m
export SPLASH=-splash:etc/images/Murata.jpg

# Add libraries to classpath
export CLASSPATH=lib/MurataMEMSdemo.jar
export CLASSPATH=$CLASSPATH:lib/JavaD2xx/JavaD2xx.jar
export CLASSPATH=$CLASSPATH:lib/JSSC/jssc.jar
export CLASSPATH=$CLASSPATH:lib/JChart2D/jchart2d.jar
export CLASSPATH=$CLASSPATH:lib/jTransforms/jtransforms.jar

# Start demo
java -cp $CLASSPATH $JVM_PARAMS $SPLASH fi.murata.ds.demos.MFIDemo


